# $Revision: 1.17 $, $Date: 2009/10/16 09:45:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Mini
Summary:	XML::Mini - Perl implementation of the XML::Mini XML create/parse interface
Summary(pl.UTF-8):	XML::Mini - implementacja perlowa interfejsu tworzącego/analizującego XML
Name:		perl-XML-Mini
Version:	1.38
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0262295a6812f4ea1a4c13aefa9067c4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Mini is a set of Perl classes that allow you to access XML data
and create valid XML output with a tree-based hierarchy of elements.
The MiniXML API has both Perl and PHP implementations.

%description -l pl.UTF-8
XML::Mini to zbiór klas Perla pozwalających na dostęp do danych XML
oraz tworzenie poprawnego wyjścia w XML-u z drzewiastą hierarchią
elementów. API MiniXML ma implementacje w Perlu i PHP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Mini.spec,v $
Revision 1.17  2009/10/16 09:45:52  amateja
- updated to 1.38

Revision 1.16  2008/07/27 22:58:57  arekm
- release 3

Revision 1.15  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:56  paladine
- formatting

Revision 1.12  2004/05/06 18:21:32  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.10  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.9  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.8  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.7  2003/06/12 09:21:00  qboosh
- up to 1.2.8 (from RA-branch), release 2

Revision 1.6  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/05 22:04:24  ankry
- added %doc, rel. 2

Revision 1.3  2003/03/27 19:57:14  qboosh
- pl

Revision 1.2  2003/03/17 00:04:23  radek
- oops... cosmetic fixes.

Revision 1.1  2003/03/17 00:00:02  radek
- new
